Freeciv-3.1: help_dialog Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Data Fields | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes
help_dialog Class Reference

`#include <helpdlg.h>`

Inheritance diagram for help_dialog:

## Public Slots

void | set_topic (const help_item *item)
void | history_forward ()
void | history_back ()

## Public Member Functions

| help_dialog (QWidget *parent=0)
void | update_fonts ()
Public Member Functions inherited from qfc_dialog
| qfc_dialog (QWidget *parent)
void | reactivate ()

## Data Fields

bool | update_history

## Protected Member Functions

void | showEvent (QShowEvent *event)
void | hideEvent (QHideEvent *event)
void | closeEvent (QCloseEvent *event)
Protected Member Functions inherited from qfc_dialog
void | paintEvent (QPaintEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)

## Private Slots

void | item_changed (QTreeWidgetItem *item, QTreeWidgetItem *prev)

## Private Member Functions

void | make_tree ()
void | update_buttons ()

## Private Attributes

QPushButton * | prev_butt
QPushButton * | next_butt
QTreeWidget * | tree_wdg
help_widget * | help_wdg
QSplitter * | splitter
QList< QTreeWidgetItem * > | item_history
QHash< QTreeWidgetItem *, const help_item * > | topics_map
int | history_pos

## Detailed Description

Definition at line 46 of file helpdlg.h.

## Constructor & Destructor Documentation

## ◆ help_dialog()

help_dialog::help_dialog | ( | QWidget * | parent = `0` | ) |

Constructor for help dialog

Definition at line 123 of file helpdlg.cpp.

## Member Function Documentation

## ◆ closeEvent()

void help_dialog::closeEvent | ( | QCloseEvent * | event | ) |

protected

Close event

Definition at line 223 of file helpdlg.cpp.

## ◆ hideEvent()

void help_dialog::hideEvent | ( | QHideEvent * | event | ) |

protected

Hide event

Definition at line 195 of file helpdlg.cpp.

## ◆ history_back

void help_dialog::history_back | ( |  | ) |

slot

Backs in history to previous topic

Definition at line 380 of file helpdlg.cpp.

Referenced by help_dialog().

## ◆ history_forward

void help_dialog::history_forward | ( |  | ) |

slot

Goes to next topic in history

Definition at line 363 of file helpdlg.cpp.

Referenced by help_dialog().

## ◆ item_changed

void help_dialog::item_changed | ( | QTreeWidgetItem * | item,
|  | QTreeWidgetItem * | prev
| ) |  |

privateslot

Called when a tree item is activated.

Definition at line 414 of file helpdlg.cpp.

Referenced by help_dialog().

## ◆ make_tree()

void help_dialog::make_tree | ( |  | ) |

private

Create the help tree.

Definition at line 232 of file helpdlg.cpp.

Referenced by help_dialog().

## ◆ set_topic

void help_dialog::set_topic | ( | const help_item * | topic | ) |

slot

Changes the displayed topic.

Definition at line 346 of file helpdlg.cpp.

Referenced by popup_help_dialog_typed().

## ◆ showEvent()

void help_dialog::showEvent | ( | QShowEvent * | event | ) |

protected

Show event

Definition at line 204 of file helpdlg.cpp.

## ◆ update_buttons()

void help_dialog::update_buttons | ( |  | ) |

private

Update buttons (back and next)

Definition at line 397 of file helpdlg.cpp.

Referenced by item_changed().

## ◆ update_fonts()

void help_dialog::update_fonts | ( |  | ) |

Update fonts for help_wdg

Definition at line 187 of file helpdlg.cpp.

Referenced by update_help_fonts().

## Field Documentation

## ◆ help_wdg

help_widget* help_dialog::help_wdg

private

Definition at line 52 of file helpdlg.h.

Referenced by help_dialog(), item_changed(), set_topic(), and update_fonts().

## ◆ history_pos

int help_dialog::history_pos

private

Definition at line 56 of file helpdlg.h.

Referenced by help_dialog(), history_back(), history_forward(), item_changed(), and update_buttons().

## ◆ item_history

QList<QTreeWidgetItem *> help_dialog::item_history

private

Definition at line 54 of file helpdlg.h.

Referenced by history_back(), history_forward(), item_changed(), and update_buttons().

## ◆ next_butt

QPushButton* help_dialog::next_butt

private

Definition at line 50 of file helpdlg.h.

Referenced by help_dialog(), and update_buttons().

## ◆ prev_butt

QPushButton* help_dialog::prev_butt

private

Definition at line 49 of file helpdlg.h.

Referenced by help_dialog(), and update_buttons().

## ◆ splitter

QSplitter* help_dialog::splitter

private

Definition at line 53 of file helpdlg.h.

Referenced by closeEvent(), help_dialog(), hideEvent(), and showEvent().

## ◆ topics_map

QHash<QTreeWidgetItem *, const help_item *> help_dialog::topics_map

private

Definition at line 55 of file helpdlg.h.

Referenced by item_changed(), make_tree(), and set_topic().

## ◆ tree_wdg

QTreeWidget* help_dialog::tree_wdg

private

Definition at line 51 of file helpdlg.h.

Referenced by help_dialog(), history_back(), history_forward(), make_tree(), and set_topic().

## ◆ update_history

bool help_dialog::update_history

Definition at line 61 of file helpdlg.h.

Referenced by help_dialog(), history_back(), history_forward(), and item_changed().